{{ $appSection := "sampling-points-db-migration" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
{{- if index . "Values" $appSection "enabled" -}}
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ $appName }}-job
  labels:
    app.kubernetes.io/name: {{ $appName }}
    {{- include "covid.labels" . | nindent 4 }}
  annotations:
    "helm.sh/hook": pre-install,pre-upgrade
    "helm.sh/hook-delete-policy": before-hook-creation
    rollme: {{ randAlphaNum 7 | quote }}
    {{- include "covid.annotations" . | nindent 4 }}
spec:
  backoffLimit: {{ index .Values $appSection "backoffLimit" }}
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ $appName }}
        {{- include "covid.labels" . | nindent 8 }}
      annotations:
        {{- include "covid.annotations" . | nindent 8 }}
        {{- if (index . "Values" $appSection "podAnnotations") }}
        {{- include "common.tplvalues.render" ( dict "value" (index . "Values" $appSection "podAnnotations") "context" $ ) | nindent 8 }}
        {{- end }}
    spec:
      automountServiceAccountToken: false
      {{- include "covid.imagePullSecrets" (list . .Values.global.imagePullSecrets ) | nindent 6 }}
      restartPolicy: Never
      terminationGracePeriodSeconds: {{ .Values.global.terminationGracePeriodSeconds }}
      containers:
        - name: {{ $appName }}
          image: {{ include "covid.imageName" (list . $appSection) | quote }}
          imagePullPolicy: {{ .Values.global.pullPolicy }}
          env:
            - name: DB_HOSTNAME
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.global.secretName }}
                  key: postgres-host
            - name: DB_DATABASE
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.global.secretName }}
                  key: postgres-db
            - name: DB_SCHEMA
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.global.secretName }}
                  key: postgres-schema
            - name: DB_USERNAME
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.global.secretName }}
                  key: postgres-username
            - name: DB_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: {{ .Values.global.secretName }}
                  key: postgres-password
            - name: DB_SSL
              value: {{ if eq (index .Values $appSection "postgres" "ssl" | toString) "true" }}"true"{{ else }}"false"{{ end }}
            - name: DB_SSLMODE
              value: {{ index .Values $appSection "postgres" "sslmode" | quote }}
          resources:
            {{ index . "Values" $appSection "resources" | toYaml | nindent 12 }}
          securityContext:
            allowPrivilegeEscalation: false
            runAsNonRoot: true
            runAsUser: 999 #bitnami non-root
            capabilities:
              drop: [ "all" ]
{{ end }}
